import QtQuick 2.0
import QtGraphicalEffects 1.0

Item {
    id: root

    property color corFundo: "#242424"
    property color corAzulEscuro: "#142d46"
    property color corAzulEscuroGradient1: "#F9142d46"
    property color corAzulEscuroGradient2: "#FF142d46"
    property color corAzulClaro: "#425569"
    property color corAzulClaroGradient1: "#F9425569"
    property color corAzulClaroGradient2: "#FF425569"
    property color corAzulMedio: "#1c384e"
    property color corLaranja: "#f37906"
    property color corTempMax: "#d63029"
    property color corTempMin: "dodgerblue"
    property int tamanhoBorda: 4


    property string localizacao: "Aguarde..."
    property real tempMax: 0
    property real tempMin: 0
    property string imgMeteorologia: ""

    Column {
        anchors.fill: parent

        Row {
            width: parent.width
            height: parent.height*0.725

            // Icone Meteorologia
            Rectangle {
                width: parent.width*0.5
                height: parent.height
                //color: root.corAzulEscuro
                border.width: root.tamanhoBorda
                border.color: root.corFundo
                //smooth: true

                gradient: Gradient {
                    GradientStop { position: 0;    color: "#D0142d46" }
                    GradientStop { position: .1;   color: "#DD142d46" }
                    GradientStop { position: .5;   color: "#CC142d46" }
                    GradientStop { position: .501; color: "#DD142d46" }
                    GradientStop { position: .8;   color: "#EE142d46" }
                    GradientStop { position: 1;    color: "#FF142d46" }
                }

                Image {
                    id: imageTempo
                    fillMode: Image.PreserveAspectFit
                    sourceSize: Qt.size(parent.width/2, parent.height/2)
                    anchors.centerIn: parent
                    source: imgMeteorologia
                }
            }

            // Informações de Temperatura Minima e Maxima
            Rectangle {
                width: parent.width*0.5
                height: parent.height
                //color: root.corAzulClaro
                border.width: root.tamanhoBorda
                border.color: root.corFundo
                gradient: Gradient {
                    //GradientStop { position: 0.500; color: root.corAzulClaroGradient1; }
                    //GradientStop { position: 0.501; color: root.corAzulClaroGradient2; }
                    GradientStop { position: 0;    color: "#D0425569" }
                    GradientStop { position: .1;   color: "#DD425569" }
                    GradientStop { position: .5;   color: "#CC425569" }
                    GradientStop { position: .501; color: "#DD425569" }
                    GradientStop { position: .8;   color: "#EE425569" }
                    GradientStop { position: 1;    color: "#FF425569" }

                }

                Column {
                    anchors.fill: parent
                    spacing: 5

                    Text {
                        id: txtTemperaturaMaxima
                        width: parent.width
                        height: parent.height/2
                        horizontalAlignment: Text.AlignHCenter
                        font {
                            family: openSansFont.name;
                            pixelSize: parent.height*0.4
                            weight: Font.Medium
                        }
                        color: root.corTempMax
                        text: root.tempMax+"º"
                    }

                    Text {
                        id: txtTemperaturaMinima
                        width: parent.width
                        height: parent.height/2
                        horizontalAlignment: Text.AlignHCenter
                        font {
                            family: openSansFont.name;
                            pixelSize: parent.height*0.4
                            weight: Font.Medium
                        }
                        color: root.corTempMin
                        text: root.tempMin+"º"
                    }
                }
            }
        }

        // Localização
        Rectangle {
            width: parent.width
            height: parent.height*0.275
            color: root.corAzulMedio
            border.width: root.tamanhoBorda
            border.color: root.corFundo

            Text {
                id: txtCidade
                anchors.centerIn: parent
                font {
                    family: openSansFont.name;
                    pixelSize: parent.height*0.65
                    weight: Font.ExtraBold
                }
                style: Text.Sunken
                color: "#CCFFFFFF"
                text: root.localizacao
            }
        }

    }

}
