import QtQuick 2.2
import QtQuick.Controls 1.2
import QtQuick.Controls.Styles 1.1

Item {
    signal status(bool flag)

    Switch {
        id: _switch
        style: switchStyle

        onCheckedChanged: {
            if(_switch.checked) {
                status(true)
            }
            else {
                status(false);
            }
        }
    }

    Component {
        id: switchStyle

        SwitchStyle {

            groove: Rectangle {
                implicitHeight: 50
                implicitWidth: 100

                Rectangle {
                    anchors.top: parent.top
                    anchors.left: parent.left
                    anchors.bottom: parent.bottom
                    width: parent.width/2 - 2
                    height: 20
                    anchors.margins: 2
                    //color: control.checked ? "#468bb7" : "#222"
                    color: control.checked ? "limegreen" : '#222'
                    Behavior on color {ColorAnimation {}}
                    Text {
                        font.pixelSize: 23
                        color: "white"
                        anchors.centerIn: parent
                        text: "ON"
                    }
                }

                Item {
                    width: parent.width/2
                    height: parent.height
                    anchors.right: parent.right
                    Text {
                        font.pixelSize: 23
                        color: "white"
                        anchors.centerIn: parent
                        text: "OFF"
                    }
                }
                color: "#222"
                border.color: "#444"
                border.width: 2
            }
            handle: Rectangle {
                width: parent.parent.width/2
                height: control.height
                color: "#444"
                border.color: "#555"
                border.width: 2
            }
        }
    }
}
