import QtQuick 2.4
import QtQuick.Controls 2.3

Item {
    height: 800
    width: 600

    Rectangle {
        id: rectCenter
        anchors.centerIn: parent
        width: parent.width/2
        height: parent.height/2
        color: "gold"

        Text {
            id: textInRect
            anchors.centerIn: parent

            width: parent.width
            height: parent.height
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            font.pointSize: parent.width*0.12
            wrapMode: Text.Wrap

            text: qsTr("QtCon 2018")
        }

        MouseArea {
            anchors.fill: parent
            onClicked: {
                rectCenter.color = Qt.rgba(Math.random(),Math.random(),Math.random(),1);
            }
        }

    }

    Slider {
        id: sliderBottom
        anchors.top: rectCenter.bottom
        anchors.topMargin: 25
        anchors.horizontalCenter: parent.horizontalCenter
        width: rectCenter.width
        from: 0
        to: 100
        stepSize: 10
        value: 10

        onValueChanged: {
            rectCenter.color = Qt.rgba(Math.random(),Math.random(),Math.random(),1);
        }
    }

}
